gdcm::MrProtocol Class Reference

Class for MrProtocol. More...

`#include <gdcmMrProtocol.h>`

## Classes

struct | Slice
struct | SliceArray
struct | Vector3

## Public Member Functions

| MrProtocol ()
| ~MrProtocol ()
bool | FindMrProtocolByName (const char *name) const
const char * | GetMrProtocolByName (const char *name) const
bool | GetSliceArray (MrProtocol::SliceArray &sa) const
int | GetVersion () const
bool | Load (const ByteValue *bv, const char *str, int version)
void | Print (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const MrProtocol &d)

## Detailed Description

Class for MrProtocol.

Examples
  MrProtocol.cxx.

## Constructor & Destructor Documentation

## MrProtocol()

gdcm::MrProtocol::MrProtocol | ( |  | ) |

Referenced by operator<<.

## ~MrProtocol()

gdcm::MrProtocol::~MrProtocol | ( |  | ) |

## Member Function Documentation

## FindMrProtocolByName()

bool gdcm::MrProtocol::FindMrProtocolByName | ( | const char * | name | ) | const

## GetMrProtocolByName()

const char * gdcm::MrProtocol::GetMrProtocolByName | ( | const char * | name | ) | const

## GetSliceArray()

bool gdcm::MrProtocol::GetSliceArray | ( | MrProtocol::SliceArray & | sa | ) | const

## GetVersion()

int gdcm::MrProtocol::GetVersion | ( |  | ) | const

## Load()

bool gdcm::MrProtocol::Load | ( | const ByteValue * | bv,
|  | const char * | str,
|  | int | version )

## Print()

void gdcm::MrProtocol::Print | ( | std::ostream & | os | ) | const

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const MrProtocol & | d )

friend

References MrProtocol(), and Print().

The documentation for this class was generated from the following file:

- gdcmMrProtocol.h